#
# spec file for package gap-profiling
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-profiling
Version:        2.6.0
Release:        1.1
Summary:        GAP: Line-by-line profiling and code coverage for GAP
License:        CDDL-1.0 AND MIT
Group:          Productivity/Scientific/Math
URL:            https://gap-packages.github.io/profiling/
#Git-Clone:     https://github.com/gap-packages/profiling
Source:         https://github.com/gap-packages/profiling/releases/download/v%version/profiling-%version.tar.gz
BuildRequires:  c++_compiler
BuildRequires:  gap-devel
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.10
Requires:       gap-gapdoc >= 1.5
Requires:       gap-io >= 4.4.4

%description
Line by line profiling and code coverage for GAP.

%prep
%autosetup -n profiling-%version

%build

%install
%gappkg_simple_install
pushd "%buildroot/$moddir"
rm -Rf src
popd

%files -f %name.files

%changelog
* Tue Aug 27 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.6.0
  * Improve output formatting
* Thu Jun 29 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.5.4
  * No user-visible changes
* Wed Jun 28 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.5.3
  * Show bad line and file when profiles are corrupted
* Sun Jun 25 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.5.2
  * Support profiling format change when VISITED_STAT was removed
    in core GAP
  * Remove test in package for coloured printing of functions
    (which was in GAP core, and is now removed)
* Sun Feb 12 2023 Jan Engelhardt <jengelh@inai.de>
- Initial package (version 2.5.1) for build.opensuse.org
